Subject: bug#31325: closed (Re: bug#31325: 27.0.50; PROPOSAL: introduce a new function to recenter without redisplaying the frame)

From: [email-masked] (GNU bug Tracking System)
Date: Sun, 01 Jul 2018 16:23:03 +0000

Your bug report

#31325: 27.0.50; PROPOSAL: introduce a new function to recenter without redisplaying the frame

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
31325: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=31325
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#31325: 27.0.50; PROPOSAL: introduce a new function to recenter without redisplaying the frame
From: Eli Zaretskii <[email-masked]>
To: John Shahid <[email-masked]>
Cc: [email-masked], [email-masked], [email-masked]
Date: Sun, 01 Jul 2018 19:22:35 +0300
List-Id: <debbugs-submit.debbugs.gnu.org>

> From: John Shahid <[email-masked]>
> Cc: Eli Zaretskii <[email-masked]>, [email-masked], [email-masked]
> Date: Sun, 01 Jul 2018 13:17:17 +0000
> 
> Fixed in the attached patch.

Thanks, pushed to the master branch.

Please in the future mention the bug number in the log message, and
also grep the sources for callers of the functions you change.  (In
this case, there was one caller in w32console.c, and it wouldn't
compile after the change, because the number of arguments changed.)

Subject: 27.0.50; PROPOSAL: introduce a new function to recenter without redisplaying the frame
From: John Shahid <[email-masked]>
To: [email-masked]
Date: Tue, 01 May 2018 00:48:25 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

This BUG is a continuation of this help-gnu-emacs mailing list
thread [1]. As mentioned in the thread, I ran into a terminal flickering
issue in flycheck which turns out to be caused by `recenter'
redisplaying the frame when `recenter-redisplay' value is either `t' or
`tty'. I agree with the arguments in the thread to maintain the backward
compatible behavior. Instead, I'm proposing one of the following
alternatives:

1. introduce a new lisp function for recentering and discourage the use
of `recenter' from lisp (i.e. declaring it `interactive-only'), or
2. add a new `recenter-and-redisplay' and bound it to C-l

Also, Stefan's suggestion/possible solution:

3. adding an argument to `recenter' to control the redisplay behavior

[1]: http://lists.gnu.org/archive/html/help-gnu-emacs/2018-04/msg00326.html

In GNU Emacs 27.0.50 (build 1, x86_64-pc-linux-gnu)
 of 2018-04-16 built on 043fb36e1435
Repository revision: 6ec3ec7fbec2c04d5e9570b0470217cd97e5e7e6
System Description: Ubuntu 16.04.4 LTS

Configured using:
 'configure --without-x'

Configured features:
SOUND NOTIFY GNUTLS LIBXML2 ZLIB THREADS

Important settings:
  value of $LANG: en_US.UTF-8
  locale-coding-system: utf-8-unix